Support Centre

Find articles, help and advice.

 
Welcome, Guest Login

Support Center

Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

BES and SCOM knowledge

Paul Wheeler May 06, 2015 09:12AM UTC

Hello,
we currently have a User AO that pulls back SCOM 2007 knowledge related to the alert in question. This runs "https://BESSERVER/SCOMKnowledge/get.jsp" passing in the required ProblemId, RuleId, AlertId and message channel.

Please can you confirm wether the same configuration will work with SCOM 2012?

Thanks
Paul

Up 0 rated Down
David Harwood May 07, 2015 01:26PM UTC Interlink Software Agent
Hi Paul,

What version of iiSCOM are you using?

Regards,
David
Up 0 rated Down
Paul Wheeler May 08, 2015 09:03AM UTC
Hello,

Currently our iiSCOM version on the SCOM 2007 integration boxes is 2.1.9. With BES running piSCOM2 4.1.19.

However we havent built the SCOM 2012 integration servers yet, so if there is a new version of iiSCOM, and we can have multiple installations running differnet versions for different SCOM environments, then we can use this.

Each SCOM environment, be it the two 2007 and one 2012 runs its own integration on dedicated servers to each environment

Thanks
Up 0 rated Down
Paul Wheeler May 08, 2015 02:50PM UTC
Hello,

Please can you confirm how the knowledge works? I've found a document dated 2010 for iiSCOM v2. This states -
3) piSCOM will send a command to the active iiSCOM node.
4) iiSCOM will use the DB connection it created upon start-up to retrieve knowledge direct from the SCOM DB tables.

and

Below is a list of configuration options which will be applicable for iiSCOM set up:
SCOMDBHost String The hostname or IP of the SCOM DB. Used when retrieving SCOM knowledge.
DBConnectionString String Override the inbuilt OLEDB connection string used to connect to the SCOM DB.

Yet these configuration options dont seem to be available though the registry keys on the integration servers, nor the iiSCOMApp console

Thanks
Up 0 rated Down
Steve White May 11, 2015 02:19PM UTC Interlink Software Agent
Hi Paul,

During the initial design phase it was thought that a direct DB connection was the only method of retrieving knowledge data from SCOM. However, a more simplistic approach was found which uses the same API mechanism as the alerting part of the integration, to get this data. No specific integration configuration is required to get SCOM knowledge.

Regards,

Steve
Up 0 rated Down
Paul Wheeler May 11, 2015 03:51PM UTC
hello,

Thanks Steve. So this will work for SCOM 2012 via the API in the same way as SCOM 2007?

The above makes sense and explains why i cant see the integration accounts accessing the DB.

Thanks
Paul
Up 0 rated Down
Steve White May 11, 2015 04:33PM UTC Interlink Software Agent
Hi Paul,

Yes for 2012 it's the same mechanism, but the integration interfaces with a slightly newer API. We advise using iiSCOM2 2.1.11 or above for SCOM 2012 due to various bug fixes.

The very latest version is available from: https://ftp.interlinksoftware.com/integrations/iiSCOM2/iiSCOM2-2.1.14.zip

Regards,

Steve
Up 0 rated Down
Paul Wheeler May 12, 2015 09:52AM UTC
Hello,

Thanks, i'll plan to install 2.1.14 on the SCOM 2012 Integration boxes. However piSCOM2 will stay at 4.1.19 until this is upgraded as part of a BAU process. I assume this is ok?

I cant find any mention of SCOM 2012 or iiSCOM2. All i have :
IG00036 - SCOM 2007
DSG00035 - SCOM 2007

Is there anything available documentation wise for iiSCOM2 or SCOM 2012?

Thanks
Up 1 rated Down
Steve White May 12, 2015 10:10AM UTC Interlink Software Agent
Hi Paul,

On-line documentation is currently pending for this version of iiSCOM2. I'll make a note for this to be pushed forwards. Essentially, it's the same integration as the version that you already have with a few additional enhancements and bug fixes. If you need any further information in the interim please don't hesitate to ask.

piSCOM2 4.1.19 will work fine with iiSCOM 2.1.9 and 2.1.14.
Up 0 rated Down
Paul Wheeler May 20, 2015 09:01AM UTC
Morning Steve,

The iiSCOM2 version 2.2.14 is asking for .NET2 when installing. UNfortunately this now requires exceptions to be raised when we add this, with our security and infrastructure teams. Can you confirm if this is needed or if an update will be released using .NET4 soon?

Thanks
Paul
Up 0 rated Down
Paul Wheeler May 20, 2015 12:01PM UTC
Hello,
Please close. I have raised 2636 as a private case to cover this and another question / error message.

Thanks

This question has received the maximum number of answers.

Contact Us

desk.com@interlinksoftware.com
https://cdn.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete